### Method

# Snapd Client set_socket_path

since: 1.24

#### Declaration [src]

    void
    snapd_client_set_socket_path (
      SnapdClient* client,
      const gchar* socket_path
    )

#### Description [src]

Set the Unix socket path to connect to snapd with. Defaults to the system socket, taking into account if the code is running confined in a Snap or not.

Available since: 1.24

#### Parameters

`socket_path`

  Type: `const gchar*`

  A socket path or `NULL` to reset to the default. If the socket name is in the form ‘`XXXXXXX`‘, it will be considered an abstract socket with XXXXXXX as its path.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.